function  in = RL_Reset(in)
% function  [] = ResetFunc()
% This function resets the initial conditions for the states and the Kp and
% Kd for each simulations
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% set up initial conditoins for the states
% in = setVariable(in,'z0',0);
% in = setVariable(in,'v0',0);
% set up initial conditoins for the Ks
% in = setVariable(in,'Ki0',-4.3e3);
% in = setVariable(in,'Kp0',1000);
t_rand = 2*rand(1,1);
R_ss = floor(1000*rand(1,1));
C_Pto = floor(400*rand(1,1));
%C_Pto = 200;
T_min = 100 + floor(160*rand(1,1));
T_max = T_min + 4 + floor(6*rand(1,1));
M_z = 0.7 + 0.6*rand(1,1);
in = setVariable(in,'Ki0',-1000);
in = setVariable(in,'Kp0',200);
in = setVariable(in,'T_thres',12+t_rand);
in = setVariable(in,'R_seed',R_ss);
in = setVariable(in,'C_Pto',C_Pto);
in = setVariable(in,'T_min',T_min);
in = setVariable(in,'T_max',T_max);
in = setVariable(in,'M_z',M_z);
end
